"use strict";

Object.defineProperty(exports, "__esModule", {
  value: true
});
exports.EnableIndexing = void 0;
var _errors = require("../errors");
class EnableIndexing {
  constructor(settings) {
    this.settings = settings;
  }
  async exec(index, settings) {
    try {
      await this.settings.setSettings(index, {
        ...settings,
        numberOfReplicas: settings.numberOfReplicas < 1 ? 1 : settings.numberOfReplicas,
        refreshInterval: settings.refreshInterval === "-1" ? "1s" : settings.refreshInterval
      });
    } catch (ex) {
      throw new _errors.IndexingEnableError(ex);
    }
  }
}
exports.EnableIndexing = EnableIndexing;

//# sourceMappingURL=EnableIndexing.js.map